package com.jxml.quick.qmap;
import java.util.*;

/**
 * Returns false if any qualifier in the list returns false.
 */
public class QQualifierList extends ArrayList implements QQualifier
{
	public boolean acceptable(QIndexedComparableList icl)
	{
		int i,s;
		s=size();
		for (i=0;i<s;++i)
		{
			QQualifier q=(QQualifier)get(i);
			if (!q.acceptable(icl))
				return false;
		}
		return true;
	}
}